import express from 'express';
import bodyParser from 'body-parser';
import mongoose from'mongoose';
import settings from './addQuotes.js'
import cors from 'cors';
const app=express();
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({extended:true}));
app.use(cors());

app.post('/add',settings.addQuotes)
app.delete('/delete/:id',settings.deleteQuotes)
app.put('/update',settings.updateQuotes)
app.get('/quotes',settings.findQuotes)
app.get('/quotes?id=:id',settings.findQuotes)


const port=process.env.PORT || 3000;
app.listen(port,()=>{
    console.log(`Server is running on port ${port}`);
})